import 'package:flutter/material.dart';
import 'package:vesti_logger/logger/vlogger_button.dart';
import 'package:vesti_logger/logger/vlogger_list.dart';
import 'package:vesti_logger/logger/vlogger_store.dart';

import 'logger_bottom_sheet.dart';


class VLogger {
  final VLoggerStore _store;

  VLogger(this._store);

  debug({String? title, String? message}) {
    _store.debug(title: title, message: message);
  }

  error({String? title, String? message}) {
    _store.error(title: title, message: message);
  }

  info({String? title, String? message}) {
    _store.info(title: title, message: message);
  }

  toggle() {
    _store.toggle();
  }

  static Widget logButton(VLoggerStore store) {
    return VLoggerButton(store);
  }

  static showLogList(BuildContext context, VLoggerStore store) {
    LoggerBottomSheet.showDraggable(context, VLoggerList(store));
  }
}
