import 'package:flutter/material.dart';
import 'package:flutter_mobx/flutter_mobx.dart';
import 'package:vesti_logger/logger/vlogger.dart';
import 'package:vesti_logger/logger/vlogger_store.dart';

class VLoggerButton extends StatefulWidget {
  final VLoggerStore store;

  VLoggerButton(this.store);

  @override
  _VLoggerButtonState createState() => _VLoggerButtonState(store);
}

class _VLoggerButtonState extends State<VLoggerButton> {
  VLoggerStore _store;
  double xPosition = 20;
  double yPosition = 50;

  _VLoggerButtonState(this._store);

  @override
  Widget build(BuildContext context) {
    return Observer(
      builder: (_) => _store.isEnabled
          ? Positioned(
              top: yPosition,
              left: xPosition,
              child: GestureDetector(
                onPanUpdate: (tapInfo) {
                  setState(() {
                    xPosition += tapInfo.delta.dx;
                    yPosition += tapInfo.delta.dy;
                  });
                },
                child: FloatingActionButton(
                  child: Text(
                    "Logs",
                    style: TextStyle(color: Colors.white),
                  ),
                  backgroundColor: Colors.black,
                  onPressed: () {
                    VLogger.showLogList(context, _store);
                  },
                ),
              ),
            )
          : Container(),
    );
  }
}
